$(document).ready(function() {
    $("body").prepend('<div class="layout"><div id="controls"></div>' +
        '<div id="currentSlide"></div><div id="header"></div>' + 
        '<div id="footer"></div></div>');
    $("#footer").append($("h1, h2"));
    var $presentation = $('<div class="presentation">').appendTo("body");

    var origText = $("#contents").remove().html().replace(/&gt;/g, '>')
                        .replace(/&lt;/g, '<').replace(/&amp;/g, '&');
	var converter = new Attacklab.showdown.converter();
	var text = converter.makeHtml(origText);

    var slides = [], started = false, 
        index = text.indexOf('<h1>'), index2;
    while (index > -1) {
        slides.push(text.substring(0, index));
        if (started) slides.push('</div>');
        text = text.substring(index + 4);
        index2 = text.indexOf('</h1>');
        if (index2 > -1) {
            slides.push('<div class="slide"><h1>' + 
                text.substring(0, index2) + '</h1>');
            text = text.substring(index2 + 5);
        }
        index = text.indexOf('<h1>');
        started = true;
    }
    slides.push(text + '</div>');

    $presentation.append(slides.join(''));

    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = 'ui/default/slides.js';
    $("body").append(script);
});
